Jack::JackGenericClientChannel Class Reference

Generic JackClientChannel class. More...

`#include <JackGenericClientChannel.h>`

Inheritance diagram for Jack::JackGenericClientChannel:

## Public Member Functions

virtual int | Open (const char *server_name, const char *name, int uuid, char *name_res, JackClient *obj, jack_options_t options, jack_status_t *status)
virtual void | Close ()
virtual int | Start ()
virtual void | Stop ()
int | ServerCheck (const char *server_name)
void | ClientCheck (const char *name, int uuid, char *name_res, int protocol, int options, int *status, int *result, int open)
void | ClientOpen (const char *name, int pid, int uuid, int *shared_engine, int *shared_client, int *shared_graph, int *result)
void | ClientClose (int refnum, int *result)
void | ClientActivate (int refnum, int is_real_time, int *result)
void | ClientDeactivate (int refnum, int *result)
void | PortRegister (int refnum, const char *name, const char *type, unsigned int flags, unsigned int buffer_size, jack_port_id_t *port_index, int *result)
void | PortUnRegister (int refnum, jack_port_id_t port_index, int *result)
void | PortConnect (int refnum, const char *src, const char *dst, int *result)
void | PortDisconnect (int refnum, const char *src, const char *dst, int *result)
void | PortConnect (int refnum, jack_port_id_t src, jack_port_id_t dst, int *result)
void | PortDisconnect (int refnum, jack_port_id_t src, jack_port_id_t dst, int *result)
void | PortRename (int refnum, jack_port_id_t port, const char *name, int *result)
void | SetBufferSize (jack_nframes_t buffer_size, int *result)
void | SetFreewheel (int onoff, int *result)
void | ComputeTotalLatencies (int *result)
void | ReleaseTimebase (int refnum, int *result)
void | SetTimebaseCallback (int refnum, int conditional, int *result)
void | GetInternalClientName (int refnum, int int_ref, char *name_res, int *result)
void | InternalClientHandle (int refnum, const char *client_name, int *status, int *int_ref, int *result)
void | InternalClientLoad (int refnum, const char *client_name, const char *so_name, const char *objet_data, int options, int *status, int *int_ref, int uuid, int *result)
void | InternalClientUnload (int refnum, int int_ref, int *status, int *result)
void | SessionNotify (int refnum, const char *target, jack_session_event_type_t type, const char *path, jack_session_command_t **result)
void | SessionReply (int refnum, int *result)
void | GetUUIDForClientName (int refnum, const char *client_name, char *uuid_res, int *result)
void | GetClientNameForUUID (int refnum, const char *uuid, char *name_res, int *result)
void | ReserveClientName (int refnum, const char *client_name, const char *uuid, int *result)
void | ClientHasSessionCallback (const char *client_name, int *result)
Public Member Functions inherited from Jack::detail::JackClientChannelInterface
virtual void | ClientOpen (const char *name, int *ref, JackEngineControl **shared_engine, JackGraphManager **shared_manager, JackClientInterface *client, int *result)
virtual bool | IsChannelThread ()

## Protected Member Functions

void | ServerSyncCall (JackRequest *req, JackResult *res, int *result)
void | ServerAsyncCall (JackRequest *req, JackResult *res, int *result)

## Protected Attributes

detail::JackClientRequestInterface * | fRequest

## Detailed Description

Generic JackClientChannel class.

Definition at line 35 of file JackGenericClientChannel.h.

The documentation for this class was generated from the following files:

- JackGenericClientChannel.h
- JackGenericClientChannel.cpp